| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
Digikam::TaggingAction Class Reference

## Public Types
enum | Type { NoAction , AssignTag , CreateNewTag }
| Describes two possible actions: Assigning an existing tag, known by tag id, or creation of a new tag, with a given tag name and a parent tag.

## Public Member Functions
| TaggingAction ()=default
| Create a NoAction.
| TaggingAction (const QString &name, int parentTagId)
| Create a new tag with the given name.
| TaggingAction (int tagId)
| Assign the existing tag with given id.
bool | isValid () const
QString | newTagName () const
| If shallCreateNewTag(), returns the tag name and the parent tag id, 0 for toplevel tag.
bool | operator== (const TaggingAction &other) const
int | parentTagId () const
bool | shallAssignTag () const
bool | shallCreateNewTag () const
int | tagId () const
| If shallAssignTag(), returns the tag id.
Type | type () const

## Protected Attributes
int | m_tagId = -1
QString | m_tagName
Type | m_type = NoAction

## Constructor & Destructor Documentation

## ◆ TaggingAction()

Digikam::TaggingAction::TaggingAction | ( | const QString & | name,
|  | int | parentTagId
| ) |  |

The parent shall be the tag with the given id, or 0 for a toplevel tag.